| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | List of all members
stan::scalar_type_pre< T > Struct Template Reference

Metaprogram structure to determine the type of first container of the base scalar type of a template argument. More...

`#include <scalar_type_pre.hpp>`

## Public Types
typedef scalar_type_helper_pre < is_vector< typename stan::math::value_type< T > ::type >::value, typename stan::math::value_type< T > ::type, T >::type | type

## Detailed Description

### template<typename T>
struct stan::scalar_type_pre< T >

Metaprogram structure to determine the type of first container of the base scalar type of a template argument.

Template Parameters

  T | Type of object.

Definition at line 37 of file scalar_type_pre.hpp.

## Member Typedef Documentation

template<typename T>

typedef scalar_type_helper_pre<is_vector <typename stan::math::value_type<T>::type>::value, typename stan::math::value_type<T>::type, T>::type stan::scalar_type_pre< T >::type

Definition at line 42 of file scalar_type_pre.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/scalar_type_pre.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.